Skip to main content
`Ctrl`+`K`

# PCISSetUp

sets up the `PC_IS` portion of `PCNN` and `PCBDDC` preconditioner context as part of their setup process

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetUp(PC pc, PetscBool computematrices, PetscBool computesolvers)

## Input Parameters

- pc - the `PC` object, must be of type `PCNN` or `PCBDDC`

- computematrices - Extract the blocks `A_II`, `A_BI`, `A_IB` and `A_BB` from the matrix

- computesolvers - Create the `KSP` for the local Dirichlet and Neumann problems

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCNN`, `PCISSetUseStiffnessScaling()`, `PCISSetSubdomainDiagonalScaling()`, `PCISScatterArrayNToVecB()`, `PCISSetSubdomainScalingFactor()`, `PCISReset()`, `PCISApplySchur()`, `PCISApplyInvSchur()`

## Level

advanced

## Location

src/ksp/pc/impls/is/pcis.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages